import {LocalModels} from "./LocalModels.ts";

export namespace DataCenter {

    export let wxOpenId = null

    export let shengShi: Map<string, string[]> = new Map()

    export let shiQu: Map<string, string[]> = new Map()

    export let quData: Map<string, LocalModels.Area> = new Map()

    export function addAreaData(data: LocalModels.Area) {
        let key1 = data.sheng
        if (!shengShi.has(key1)) {
            shengShi.set(key1, [])
        }
        let lst1 = shengShi.get(key1)
        if (lst1.indexOf(data.shi) == -1) {
            lst1.push(data.shi)
        }

        let key2 = data.sheng + data.shi
        if (!shiQu.has(key2)) {
            shiQu.set(key2, [])
        }
        let lst2 = shiQu.get(key2)
        if (lst2.indexOf(data.qu) == -1) {
            lst2.push(data.qu)
        }

        let key3 = data.sheng + data.shi + data.qu
        quData.set(key3, data)
    }
}